Page MenuHomePhabricator

Dynamic Intel(R) Many Integrated Core Architecture detection.
ClosedPublic

Authored by jlpeyton on Feb 13 2015, 3:49 PM.

Details

Reviewers
hfinkel
Summary

Inserted code to detect MIC dynamically and set certain default settings (e.g., affinity) at runtime instead of build time.

Diff Detail

Repository
rL LLVM

Event Timeline

jlpeyton updated this revision to Diff 19945.Feb 13 2015, 3:49 PM
jlpeyton retitled this revision from to Dynamic Intel(R) Many Integrated Core Architecture detection..
jlpeyton updated this object.
jlpeyton edited the test plan for this revision. (Show Details)
jlpeyton set the repository for this revision to rL LLVM.
jlpeyton added a subscriber: Unknown Object (MLST).
jlpeyton abandoned this revision.Feb 17 2015, 8:03 AM
jlpeyton reclaimed this revision.Feb 18 2015, 9:08 AM
hfinkel accepted this revision.Feb 18 2015, 4:51 PM
hfinkel added a reviewer: hfinkel.
hfinkel added a subscriber: hfinkel.

LGTM.

runtime/src/kmp.h
401

Why is 'dummy' here? You don't seem to use it anywhere.

This revision is now accepted and ready to land.Feb 18 2015, 4:51 PM
jlpeyton closed this revision.Apr 27 2015, 1:19 PM